Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.coralogix.com/mgmt/openapi/4/slo/slos/v1/all/list \ --header 'Authorization: <api-key>'
{ "slos": [ { "createTime": "2023-11-07T05:31:56Z", "creator": "test@domain.com", "description": "A brief description of my SLO", "grouping": { "labels": [ "<string>" ] }, "id": "b11919d5-ef85-4bb1-8655-02640dbe94d9", "labels": {}, "name": "Example Slo Name", "requestBasedMetricSli": { "goodEvents": { "query": "sum(rate(http_requests_total{status=\"200\"}[5m]))" }, "totalEvents": { "query": "sum(rate(http_requests_total{status=\"200\"}[5m]))" } }, "revision": { "revision": 1, "updateTime": "2023-11-07T05:31:56Z" }, "targetThresholdPercentage": 99.999, "type": "request", "updateTime": "2023-11-07T05:31:56Z" } ], "notFoundIds": [ "<string>" ] }
No description available
API key authentication
Response containing a batch of SLOs and any IDs not found.
Definition of an SLO
Show child attributes
Was this page helpful?